Upgrading from 3.0.6 (with MODs) to 3.2.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
cnxsoft
Registered User
Posts: 1
Joined: Wed May 23, 2018 4:49 am

Upgrading from 3.0.6 (with MODs) to 3.2.2

Post by cnxsoft » Wed May 23, 2018 4:56 am

So I've an old forum running phpBB 3.0.6 that I have not maintained that much, but I still want to keep using it in read-only.
I have recently update my server to php 7.0 (Ubuntu 16.04), and the forum stop working.
I could fix this by changing mysql to mysqli in config.php, and it's running, but I get lots of warning like:

Code: Select all

[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
I think it's because of PHP 7.0 incompatibility, so I'd like to upgrade to the latest version of PhpBB 3.2. However, I have mods I'd like to keep, so I'd like to use automatic update packages. However, the oldest supported version is phpBB 3.1.0 for such upgrade.

I've tried to upgrade to phpBB 3.1 before, but the upgrade package on https://www.phpbb.com/downloads/3.1/ have been removed.
What are my options? Thank you

User avatar
david63
Jr. Extension Validator
Posts: 14745
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: Upgrading from 3.0.6 (with MODs) to 3.2.2

Post by david63 » Wed May 23, 2018 6:49 am

You cannot upgrade to phpBB 3.1/3.2 and keep any 3.0 MODs or styles - they must all be removed first.
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
Mick
Support Team Member
Support Team Member
Posts: 20132
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Upgrading from 3.0.6 (with MODs) to 3.2.2

Post by Mick » Wed May 23, 2018 6:54 am

Basically the only ‘real’ option is to upgrade to 3.2 as support for 3.1 ends on July 1st 2018. Whether you upgrade to 3.1 or 3.2 doesn’t make much difference, you will lose any mods you may have as both the upgrade options now use extensions not mods. Also, the only assistance we can give you with 3.0 is assisting you to upgrade to the latest version. The auto-updater is not for upgrading but updating, the upgrade requires that the majority of files and folders are replaced. If you need any help upgrading please post back.
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: invenio, static1635 and 41 guests